Subject: Re: bug#18452: 24.3; line number section width problem

From: Eli Zaretskii <[email-masked]>
Date: Sun, 14 Sep 2014 18:08:16 +0300

> From: Rostyslav Skrypnyk <[email-masked]>
> Date: Fri, 12 Sep 2014 16:33:10 +0200
> 
> Through M-x ‘customise-group’->'faces’ ->’Basic Faces’, then in ‘Default faces’ I choose font family to be Menlo. And then I save it of course.

Try specifying the font on the command line via the -fn option.

Anyway, this is because linum-mode uses the font height as an
approximation for its width.  So any font that is wider than it is
high will cause this, I think.

Perhaps we should enlarge the width estimation by some factor slightly
larger than 1, to be on the safe side.